Bug 20507 - Shelf browser does not update image sources when paging
Summary: Shelf browser does not update image sources when paging
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-02 11:50 UTC by Nick Clemens
Modified: 2019-10-14 19:56 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20507: Shelf browser does not update image sources when paging (1.05 KB, patch)
2018-06-26 13:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20507: Shelf browser does not update image sources when paging (1.19 KB, patch)
2018-07-06 07:59 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-04-02 11:50:39 UTC
When using a cover source other than Amazon (which uses static links) the shelf browser does not fire a call to the image sources when moving to a new page

To recreate:
Enable coce (https://coce.bywatersolutions.com) and enable all sources except amazon
Enable shelf browser
View a title in the opac
View the shelf browser, note images load on first page
Page left or right and note images are not loaded
Comment 1 Owen Leonard 2018-06-26 13:15:53 UTC
Created attachment 76436 [details] [review]
Bug 20507: Shelf browser does not update image sources when paging

This patch updates the shelfbrowser include so that the system
preference check for Coce will function correctly.

To test, apply the patch and test the OPAC shelf browser with each of
the enhanced content options enabled: Coce, Amazon, Google. In each
case, page through the shelf browser to confirm that covers load
correctly.
Comment 2 Cab Vinton 2018-07-02 10:49:22 UTC
(In reply to Owen Leonard from comment #1)
> Created attachment 76436 [details] [review] [review]
> Bug 20507: Shelf browser does not update image sources when paging
> 
> This patch updates the shelfbrowser include so that the system
> preference check for Coce will function correctly.
> 
> To test, apply the patch and test the OPAC shelf browser with each of
> the enhanced content options enabled: Coce, Amazon, Google. In each
> case, page through the shelf browser to confirm that covers load
> correctly.

The patch seemed to work fine in Sandbox 06, clearing the cache for each content option.

Several items had covers missing, but these all appeared to titles for which no covers were available in the first place.
Comment 3 Katrin Fischer 2018-07-02 21:39:20 UTC
Hi Cab, you can also mark the patch as signed off from the sandboxes by using the form at the bottom. We can add your name in QA for this one, maybe for your next!
Comment 4 Cab Vinton 2018-07-02 22:08:40 UTC
(In reply to Katrin Fischer from comment #3)
> Hi Cab, you can also mark the patch as signed off from the sandboxes by
> using the form at the bottom. We can add your name in QA for this one, maybe
> for your next!

OK, thank you, Katrin. Was thinking I should post on BugZilla, where it's just as easy to update the status. But that's probably not necessary ...
Comment 5 Katrin Fischer 2018-07-02 22:12:23 UTC
(In reply to Cab Vinton from comment #4)
> (In reply to Katrin Fischer from comment #3)
> > Hi Cab, you can also mark the patch as signed off from the sandboxes by
> > using the form at the bottom. We can add your name in QA for this one, maybe
> > for your next!
> 
> OK, thank you, Katrin. Was thinking I should post on BugZilla, where it's
> just as easy to update the status. But that's probably not necessary ...

Setting the status is alright, but using the sign-off feature will also add your name as a sign-off to the patches, which will make your name go into release notes etc.
Comment 6 Katrin Fischer 2018-07-02 22:13:34 UTC
... also your sign-offs made my day, thx! :)
Comment 7 Cab Vinton 2018-07-02 22:19:24 UTC
Ah, gotcha.

Excellent. The tutorial video was helpful.

Think developers should add a code to the bugs needing Sign Offs -- TBAI (Testable by Any Idiot) ;-)

With several hundred bugs, it can take some time to identify the ones that don't require CLI access, don't have too many moving parts, etc. Not complaining by any means, but it might increase the number of bugs that get signed off by everyday librarians, which should be a good thing.
Comment 8 Marcel de Rooy 2018-07-06 07:59:33 UTC
Created attachment 76718 [details] [review]
Bug 20507: Shelf browser does not update image sources when paging

This patch updates the shelfbrowser include so that the system
preference check for Coce will function correctly.

To test, apply the patch and test the OPAC shelf browser with each of
the enhanced content options enabled: Coce, Amazon, Google. In each
case, page through the shelf browser to confirm that covers load
correctly.

Signed-off-by: Cab Vinton <bibliwho@gmail.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Marcel de Rooy 2018-07-06 08:00:43 UTC
(In reply to Cab Vinton from comment #7)
> Ah, gotcha.
> 
> Excellent. The tutorial video was helpful.

Excellent? But I still had to add your signoff line ;)
Would you not forget next time ?
Comment 10 Nick Clemens 2018-07-06 14:42:55 UTC
Awesome work all!

Pushed to master for 18.11
Comment 11 Martin Renvoize 2018-07-10 06:56:10 UTC
Pushed to 18.05.x for 18.05.02
Comment 12 Fridolin Somers 2018-07-12 07:00:38 UTC
Pushed to 17.11.x for 17.11.08